package de.fhhannover.inform.trust.ifmapj.identifier;

/**
 * Represents an IF-MAP mac-address identifier.
 * 
 * @author aw
 *
 */
public class MacAddress extends IdentifierWithAd {
	
	private /* final */ String mValue;

	/**
	 * Package constructor.
	 */
	MacAddress(String value, String admDom) {
		super(admDom);
		mValue = value;
	}

	@Deprecated
	public void setValue(String value) {
		mValue = value;
	}

	public String getValue() {
		return mValue;
	}
	
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		return String.format("mac{%s%s}", getValue(), super.toString());
	}
}
