package de.fhhannover.inform.trust.ifmapj.messages;

/**
 * Implementation of {@link NewSessionRequest}
 * 
 * @author aw
 *
 */
public class NewSessionRequestImpl implements NewSessionRequest {
	
	private Integer mMaxPollResultSize;
	
	NewSessionRequestImpl() { }

	@Override
	public void setMaxPollResultSize(Integer maxPollResultSize) {
		mMaxPollResultSize = maxPollResultSize;
	}

	@Override
	public Integer getMaxPollResultSize() {
		return mMaxPollResultSize;
	}

	@Override
	public void setSessionId(String sessionId) {
		throw new IllegalAccessError("newSession has no session-id");
	}

	@Override
	public String getSessionId() {
		throw new IllegalAccessError("newSession has no session-id");
	}
}
