package de.fhhannover.inform.trust.ifmapj.messages;

/**
 * Simple {@link Request} implementation.
 * 
 * @author aw
 */
public abstract class RequestImpl implements Request {
	
	private String mSessionId;

	@Override
	public final void setSessionId(String sessionId) {
		if (sessionId == null)
			throw new NullPointerException("sessionId is null");
		
		mSessionId = sessionId;
	}

	@Override
	public final String getSessionId() {
		return mSessionId;
	}
}
