package de.fhhannover.inform.trust.ifmapj.messages;

import java.util.List;

/**
 * Implementation of {@link SubscribeRequest}
 * 
 * @author aw
 *
 */
class SubscribeRequestImpl extends RequestImpl implements SubscribeRequest {
	
	private final GenericObjectHolder<SubscribeElement> mObjectHolder;
	
	SubscribeRequestImpl() {
		mObjectHolder = new GenericObjectHolder<SubscribeElement>();
	}

	@Override
	public void addSubscribeElement(SubscribeElement se) {
		mObjectHolder.addElement(se);
	}

	@Override
	public List<SubscribeElement> getSubscribeElements() {
		return mObjectHolder.getElements();
	}
}
