package de.fhhannover.inform.trust.ifmapj.identifier;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNull;

import org.junit.Test;

/**
 * Trivial tests for {@link Device} class.
 * 
 * @author ibente
 *
 */
public class DeviceTest {
	public String name = "publisherid:number";

	@Test
	public void testDevice() {
		Device dev = Identifiers.createDev(null);
		assertNotNull(dev);
		assertNull(dev.getName());
		dev = Identifiers.createDev(name);
		assertEquals(name, dev.getName());
	}

	@Test
	public void testDeviceToString() {
		Device dev = Identifiers.createDev(null);
		assertEquals("dev{null}", dev.toString());
		
		dev = Identifiers.createDev("abc");
		assertEquals("dev{abc}", dev.toString());
		
	}
}
